> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/approval-requests/{approvalRequestId}/deny



## OpenAPI

````yaml /api-reference/ruleengine.openapi.json post /realms/{realmId}/organizations/{organizationId}/approval-requests/{approvalRequestId}/deny
openapi: 3.0.3
info:
  title: Ruleengine
  version: 1.0.0
  description: >-
    Portão 3 ruleengine API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=4 copied:manual=0 unknown=2.
servers:
  - url: https://api.ruleengine.v2.portao3.com.br/
    description: production
  - url: https://api.ruleengine.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Approval Requests
  - name: Policy Evaluations
paths:
  /realms/{realmId}/organizations/{organizationId}/approval-requests/{approvalRequestId}/deny:
    post:
      tags:
        - Approval Requests
      summary: >-
        /realms/{realmId}/organizations/{organizationId}/approval-requests/{approvalRequestId}/deny
      operationId: >-
        postRealmsByRealmIdOrganizationsByOrganizationIdApprovalRequestsByApprovalRequestIdDeny
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: approvalRequestId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  realmId:
                    type: string
                  organizationId:
                    type: string
                  context:
                    type: string
                  subjectType:
                    type: string
                  subjectId:
                    type: string
                  policyId:
                    type: string
                  ruleId:
                    type: string
                  accountId:
                    type: string
                  walletId:
                    type: string
                  requester:
                    type: object
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                    required:
                      - id
                      - email
                  approverSpec:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - ORG_ADMIN
                      quorum:
                        type: number
                    required:
                      - type
                      - quorum
                  eligibleApprovers:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        email:
                          type: string
                      required:
                        - userId
                        - email
                  approvals:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        email:
                          type: string
                        decision:
                          type: string
                          enum:
                            - APPROVED
                            - DENIED
                        at:
                          type: string
                      required:
                        - userId
                        - email
                        - decision
                        - at
                  status:
                    type: string
                    enum:
                      - PENDING
                      - APPROVED
                      - DENIED
                      - CANCELED
                      - EXPIRED
                  expiresAt:
                    type: string
                  dispatchStatus:
                    type: string
                  correlationId:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - realmId
                  - organizationId
                  - context
                  - subjectType
                  - subjectId
                  - requester
                  - approverSpec
                  - eligibleApprovers
                  - approvals
                  - status
                  - expiresAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````